WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: x86_64 (64 bit) possible apps dep check error  (Read 1731 times)

gordon64

  • Guest
x86_64 (64 bit) possible apps dep check error
« on: September 10, 2015, 05:08:27 PM »
Hi

I am on 64 bit v6.4 as per
Code: [Select]
uname -a
Linux box 3.16.6-tinycore64 #777 SMP Thu Oct 16 10:21:00 UTC 2014 x86_64 GNU/Linux
version
6.4

I went into Apps -> Maintenance -> Deps and Deletions
click on startup-notification
click on Dependencies
click on Required by
list is per photo

trouble is.....a couple of those packages are 32 bit and are not yet in 64 bit, eg

openbox*



2) The good news is we appear to have an orphan?  a tcz that no-one has made a dependency in 64 bit
I won't show an image as the list is empty but same procedure in Apps above but click on
libstartup-notification.

I would like that package libstartup-notification removed from 64 bit repo please.
Note there is no dev to this package which is a good hint no-one built against it in 64 bit.

good luck

Online Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11104
Re: x86_64 (64 bit) possible apps dep check error
« Reply #1 on: September 11, 2015, 02:10:41 AM »
When I repeat your check for startup-notification, I do not get openbox listed nor any other extensions that are not present in the x86_64 repo? Perhaps you have some 32-bit extensions in your 64-bit tce folder locally?

Whilst libstartup-notification does not appear to be a dep of any other extension (except libstartup-notification-dev), it is an earlier version of startup-notification and might be used for some purpose by the maintainer (bmarkus), so he would need to approve the removal.

gordon64

  • Guest
Re: x86_64 (64 bit) possible apps dep check error
« Reply #2 on: September 11, 2015, 02:39:56 AM »
Hi

I have built some 64 bit packages, I deleted the obmenu* and epiphany and redid test and me thinks
Apps is not searching the repo but only searching my local TCZs

Do you agree?


But that also means, I can not predict what new packages might break other maintainer's packages?
And so ignore my deletion suggestion.

Online Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11104
Re: x86_64 (64 bit) possible apps dep check error
« Reply #3 on: September 11, 2015, 02:59:08 AM »
You can check tce-audit to see what it does:

http://git.tinycorelinux.net/index.cgi?url=Core-scripts.git/tree/usr/bin/tce-audit

If you update an existing extension, there is always the risk that this will break other extensions that have that extension as a dep. The only way to be absolutely sure is to check them one by one. This being said, if, for example, the updated extension has exactly the same lib names as the old one, it is unlikely to break anything.

..and herein lies the problem - that at present there is no easy way for users to get a list of extensions that depend on a certain extension.

We could perhaps add the functionality to the on-line repository browser:

http://packages.tinycorelinux.net/

..but this would take some time.

gordon64

  • Guest
Re: x86_64 (64 bit) possible apps dep check error
« Reply #4 on: September 11, 2015, 05:33:52 AM »
thanks for the link, I downloaded it and placed it in .local.bin and made it executable

Code: [Select]
tce-audit requiredby /mnt/sda4/tce/optional/startup-notification.tcz
libwnck-dev.tcz
libwnck.tcz
openbox-dev.tcz
openbox.tcz
startup-notification-dev.tcz

Quote
We could perhaps add the functionality to the on-line repository browser
I hope you don't drop anything to do this, as I may be the only whiner here.
Lets mark this one as solved please.....there was no error in repo.

thanks

Offline SpootDev

  • WikiUser
  • *
  • Posts: 4
Re: x86_64 (64 bit) possible apps dep check error
« Reply #5 on: September 15, 2015, 08:48:33 AM »
One thing I noticed yesterday it let me install the scsi64 bit lib when I was running the 32bit core.   If running 32bit should the gui app filter the 64's off?

Online Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11104
Re: x86_64 (64 bit) possible apps dep check error
« Reply #6 on: September 15, 2015, 08:57:01 AM »
The apps gui online browser will only show the correct extensions - if you mixed 32-bit and 64-bit extensions in your tce folder locally, the apps gui load local will not screen them.


Offline gerald_clark

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 4254
Re: x86_64 (64 bit) possible apps dep check error
« Reply #7 on: September 15, 2015, 08:58:44 AM »
SpootDev, there are two 64 bit versions.
1. A 64 bit kernel with a 32 bit user space.
2. CorePure64 which is a 64 bit kernel and a 64 bit userspace.
You cannot mix the two as there would be no library separation.

Offline SpootDev

  • WikiUser
  • *
  • Posts: 4
Re: x86_64 (64 bit) possible apps dep check error
« Reply #8 on: September 15, 2015, 09:09:40 AM »
SpootDev, there are two 64 bit versions.
1. A 64 bit kernel with a 32 bit user space.
2. CorePure64 which is a 64 bit kernel and a 64 bit userspace.
You cannot mix the two as there would be no library separation.

Ah, that's where I see my mistake then.  Thanks.